HtmlRenderer (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.renderer
Class HtmlRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.struts.faces.renderer.AbstractRenderer
              org.apache.struts.faces.renderer.HtmlRenderer

    public class HtmlRenderer

extends AbstractRenderer

`Renderer` implementation for the `html` tag from the Struts-Faces Integration Library.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Constructor Summary
`HtmlRenderer()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Render the beginning `html` tag.
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Render the end of the `html` element.
`protected Locale` | `getCurrentLocale(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Return the current `Locale` for this request, creating a new one if necessary.
`protected boolean` | `isLocale(javax.faces.component.UIComponent component)` Return the state of the `locale` attribute.
`protected boolean` | `isXhtml(javax.faces.component.UIComponent component)` Return the state of the `xhtml` attribute.

Methods inherited from class org.apache.struts.faces.renderer.AbstractRenderer
`decode, encodeChildren, encodeRecursive, getAsString, isDisabled, isReadOnly, renderAttributes, renderBoolean, renderEnd, renderPassThrough, renderStart, setSubmittedValue`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRenderer

    public HtmlRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Render the beginning `html` tag.

  Overrides:
    `encodeBegin` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the current request
    `component` - UIComponent to be rendered
  Throws:
    `IOException` - if an input/output error occurs while rendering
    `NullPointerException` - if `context` or `component` is `null`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Render the end of the `html` element.

  Overrides:
    `encodeEnd` in class `AbstractRenderer`
  Parameters:
    `context` - FacesContext for the request we are processing
    `component` - UIComponent to be rendered
  Throws:
    `IOException` - if an input/output error occurs while rendering
    `NullPointerException` - if `context` or `component` is null

### getCurrentLocale

    protected Locale getCurrentLocale(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

  Return the current `Locale` for this request, creating a new one if necessary.

  Parameters:
    `context` - FacesContext for this request
    `component` - UIComponent we are rendering

### isLocale

    protected boolean isLocale(javax.faces.component.UIComponent component)

  Return the state of the `locale` attribute.

  Parameters:
    `component` - Component to process

### isXhtml

    protected boolean isXhtml(javax.faces.component.UIComponent component)

  Return the state of the `xhtml` attribute.

  Parameters:
    `component` - Component to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.